Subject: Re: Fw: Dev-C++ latest version+Cygwin
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 22 Oct 2000 17:49:30 -0400

On Sun, Oct 22, 2000 at 09:36:53PM +0100, Julian Hadlow wrote:
>Could you please comment on the following message I sent to Hongli Lai about
>Dev C++, which I am attempting to use with cygwin. I downloaded cygwin about
>a couple of weeks ago, and used your setup.exe prog to give a default setup.
>I also tried to make prolog 1.2.1 (current version as of three weeks ago),
>without success, due to files not being where they should be. Sorry, I can't
>be more specific, as it was one o'clock in the morning! If this is not
>enough to go on, I will have to try make again.

Well, it's 5:42PM here and I'm unable to psychically figure out what files
could possibly be installed in an incorrect location.  FYI, it is usually
not worthwhile to report any problems in life or in computers when you
don't have any details.  You're frustrated because something isn't working
and you're frustrating people who could help you with the lack of details.

I don't know what Dev-C++ might be, but the fact that it is outputting file
names in MS-DOS format would indicate to me that it probably isn't a cygwin
program, it is setting environment variables inappropriately for use
with gcc/g++, or it is passing incorrect command line arguments to gcc/g++.

The output of 'cygcheck -r -s -v' might be useful in determining your problem
as will the exact error messages that you're seeing with "files not being where
they should be".

cgf

>----- Original Message -----
>From: "Hongli Lai" <[email-masked]>
>To: "Julian Hadlow" <[email-masked]>
>Sent: Monday, October 16, 2000 8:27 PM
>Subject: Re: Dev-C++ latest version
>
>
>> You should email the Cygwin people about this.
>> This problem is probably caused by wrong installed libraries.
>>
>>
>> On Mon, 16 Oct 2000 20:22:01 Julian Hadlow wrote:
>> > Hi there,
>> >
>> > Can you help me? I just downloaded Dev C++ yesterday, which not only
>> > looks good, but seems to work well too. I am sure it is worth the money,
>> > as it is the best IDE I have seen for Cygwin etc.
>> >
>> > I got these error messages in the linker tab at the bottom of the screen
>> > while trying out the Tutorial (I am a beginner):
>> >
>> > usr/bin/ld:warning:cannot find entry symbol_WinMainCRTStartup;defaulting
>> > to 004010000
>> > g++:file prefix 'C:\cygwin\bin' never used.
>> >
>> > I presume that WinMainCRTStartup should be installed in the directory
>> > 'ld' which I don't have. Is it important?
>> >
>> > Cygwin is installed in C:\Cygwin, and
>> > Dev C++ is installed in C:\Cygwin\DevC++
>> > I am using Win98 Sec. Ed, and my versions of DEV C++, and Cygwin have
>> > been downloaded from their websites in the last week, so should be
>> > current.
>> >
>> > Your advice would be much appreciated.
>> >
>> > Julian Hadlow
>
>
>
>--
>Want to unsubscribe from this list?
>Send a message to [email-masked]

-- 
[email-masked]                        Red Hat, Inc.
http://sources.redhat.com/            http://www.redhat.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]